package com.style24.batch.biz.dao;

import com.style24.core.support.annotation.ShopDs;
import com.style24.persistence.domain.Alarm;

/**
 * 모니터링 Dao
 * 
 * @author gagamel
 * @since 2020. 11. 13
 */
@ShopDs
public interface TsbMonitoringDao {

	/**
	 * 알람SMS 생성
	 * @param alarm - 알람 정보
	 * @return
	 * @author gagamel
	 * @since 2020. 11. 13
	 */
	void createAlarmSms(Alarm alarm);

	/**
	 * 1일내 회원가입건수 조회
	 * @param siteCd - 사이트코드
	 * @return
	 * @author gagamel
	 * @since 2020. 11. 13
	 */
	int getJoinCountWithinOneDay(String siteCd);

	/**
	 * 1시간내 로그인건수 조회
	 * @param siteCd - 사이트코드
	 * @return
	 * @author gagamel
	 * @since 2020. 11. 13
	 */
	int getLoginCountWithinOneHour(String siteCd);

	/**
	 * 1시간내 유입건수 조회
	 * @param siteCd - 사이트코드
	 * @return
	 * @author gagamel
	 * @since 2020. 11. 13
	 */
	int getInthrowCountWithinOneHour(String siteCd);

	/**
	 * 2시간내 결제건수 조회
	 * @return
	 * @author gagamel
	 * @since 2020. 11. 13
	 */
	int getPayCountWithinTwoHour();

	/**
	 * 1일내 외부몰주문수집건수 조회
	 * @return
	 * @author gagamel
	 * @since 2020. 11. 13
	 */
	int getExtmallOrderCollectionCountWithinOneDay();

}
